﻿# Softweb Solutions Inc
## IOT Connect SDK : Software Development Kit 2.0

**Prerequisite tools:**

1. Java 8 ( or above )
2. Android SDK
3. Android Studio

**Installation :** 

1. Please verify jcenter in your root build.gradle at the end of repositories:
```java	
allprojects {
	repositories {
		...
			jcenter()
	}
}
```

2. Add the dependency
```java
dependencies {
		implementation 'com.iotconnectsdk:iotconnectpoc:2.0.0'
		
}
```

**Usage :**

Add library

Prerequisite input data
```java
uniqueId = <<uniqueId>>;
cpid = <<CPID>>;
env = <<env>>; // DEV, QA, POC, AVNETPOC, PROD(Default)
```

Create class and implement Interface "IotSDKCallback"
```java
public class JavaSDKClient implements IotSDKCallback {

}
```

To get the device information and connect to the device
```java
IoTConnectSDK ioTConnectSDK = new IoTConnectSDK(context,cpid,uniqueId, callerClassObject,env);
```

Impmenent methods 
To receive the command from Cloud to Device(C2D)
```java
public void onReceiveMsg( HubToSdkDataBean cloudResponse) {
	if(cloudResponse!=null) {
		System.out.println("ACK : " + cloudResponse.getAck());
		System.out.println("ACK ID : " + cloudResponse.getAckid());
		System.out.println("Command : " + cloudResponse.getCommand());
		System.out.println("UniqueId : " + cloudResponse.getUniqueid());
		System.out.println("Value : " + cloudResponse.getValue());
	}
}
```

Get attributesList
```java
public void attributeData(final List<SyncServiceResponse.DBeanXX.AttBean> attributesBeanList) {

}
```

Get connection status
```java
public void onConnectionStateChange(boolean isConnected) {
}
```

Data input format
```java
String sendTeledata = "[{
    "uniqueId": "123456",
    "time" : '2018-05-24T10:06:17.857Z', //Date format should be as defined
    "data": {
        "temperature": 15.55,
        "humidity" : 27.97,
        "weight" : 36,
        "gyroscope" : {
            'x' : -1.2,
            'y' : 0.25,
            'z' : 1.1,
        }
    }
}]";
```

To send the data from Device To Cloud(D2C)
```java
ioTConnectSDK.SendData(sendTeledata)
```

Disconnect iotConnect on Activtiy onDestroy
```java
@Override
    protected void onDestroy() {
        super.onDestroy();
        if(iotConnect!=null)
        {
            ioTConnectSDK.disconnectSDK();
        }

    }
```